Syncing Failed

David Carey's Avatar

David Carey

07 Oct, 2019 04:25 PM

Syncing keeps failing and giving me this message:

Syncing failed:
Traceback (most recent call last):
  File "urllib3/connection.py", line 159, in _new_conn
  File "urllib3/util/connection.py", line 80, in create_connection
  File "urllib3/util/connection.py", line 70, in create_connection
PermissionError: [Errno 1] Operation not permitted

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 600, in urlopen
  File "urllib3/connectionpool.py", line 343, in _make_request
  File "urllib3/connectionpool.py", line 839, in _validate_conn
  File "urllib3/connection.py", line 301, in connect
  File "urllib3/connection.py", line 168, in _new_conn
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x11ac26588>: Failed to establish a new connection: [Errno 1] Operation not permitted

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 449, in send
  File "urllib3/connectionpool.py", line 638, in urlopen
  File "urllib3/util/retry.py", line 398, in increment
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='sync2.ankiweb.net', port=443): Max retries exceeded with url: /sync/meta (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11ac26588>: Failed to establish a new connection: [Errno 1] Operation not permitted',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "aqt/sync.py", line 376, in _sync
  File "aqt/sync.py", line 356, in _abortingSync
  File "anki/sync.py", line 44, in sync
  File "anki/sync.py", line 592, in meta
  File "anki/sync.py", line 556, in req
  File "anki/sync.py", line 441, in post
  File "requests/sessions.py", line 572, in post
  File "requests/sessions.py", line 524, in request
  File "requests/sessions.py", line 637, in send
  File "requests/adapters.py", line 516, in send
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='sync2.ankiweb.net', port=443): Max retries exceeded with url: /sync/meta (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11ac26588>: Failed to establish a new connection: [Errno 1] Operation not permitted',))

What does this mean and how do I get Anki to sync?

  1. Support Staff 1 Posted by Damien Elmes on 07 Oct, 2019 11:21 PM

    Damien Elmes's Avatar

    Anki seems to be blocked from connecting to the internet - perhaps you have security software on your machine which needs to be changed to allow Anki to connect.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac